#include <time.h>
#include <snes/interrupt.h>

volatile __zpage clock_t __timer;

void _INIT_3_timer(void)
{
  __timer=0;
  REG_NMITIMEN=0x80;
  __asm("\tneeds\t___ticker");
}

clock_t __rdtimer(void)
{
  clock_t x;
  do{
    x=__timer;
  }while(x!=__timer);
  return x;
}
